Bug 1812980 - Review Request: academic-admin - Admin tool for the Academic website builder
Summary: Review Request: academic-admin - Admin tool for the Academic website builder
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1812973
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-12 15:56 UTC by W. Michael Petullo
Modified: 2020-03-26 14:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description W. Michael Petullo 2020-03-12 15:56:54 UTC
Spec URL: https://www.flyn.org/SRPMS/academic-admin.spec
SRPM URL: https://www.flyn.org/SRPMS/academic-admin-0.5.0-1.fc31.src.rpm
Description: Admin tool for the Academic website builder
Fedora Account System Username: mikep

Comment 1 Robert-André Mauchin 2020-03-25 19:32:49 UTC
 - Bump to 0.5.1

 - Use a better name for your archive:

Source0:        https://github.com/sourcethemes/%{srcname}/archive/%{version}/%{name}-%{version}.tar.gz

 - Remove the shebang in %prep:

academic-admin.noarch: E: non-executable-script /usr/lib/python3.8/site-packages/academic/cli.py 644 /usr/bin/env python3


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/academic-admin/review-academic-
     admin/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: academic-admin-0.5.0-1.fc33.noarch.rpm
          academic-admin-0.5.0-1.fc33.src.rpm
academic-admin.noarch: E: non-executable-script /usr/lib/python3.8/site-packages/academic/cli.py 644 /usr/bin/env python3
academic-admin.noarch: W: no-manual-page-for-binary academic
2 packages and 0 specfiles checked; 1 errors, 1 warnings.

Comment 2 W. Michael Petullo 2020-03-25 21:27:42 UTC
Spec URL: https://www.flyn.org/SRPMS/academic-admin.spec
SRPM URL: https://www.flyn.org/SRPMS/academic-admin-0.5.1-1.fc32.src.rpm
Description: Admin tool for the Academic website builder
Fedora Account System Username: mikep

- New upstream version                         
- Patch out shebang lines from non-executable Python files
- Update Source0

Comment 3 Robert-André Mauchin 2020-03-25 23:21:51 UTC
Package approved.

Comment 4 Gwyn Ciesla 2020-03-26 14:00:49 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/academic-admin


Note You need to log in before you can comment on or make changes to this bug.